libgeglmm: Gegl::Color Class Reference

libgeglmm

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gegl::Color Class Reference
Inheritance diagram for Gegl::Color:
[legend]

List of all members.

## Public Member Functions
void | get_rgba (double& r, double& g, double& b, double& a) const
void | get_rgba4f (gfloat* p1) const
GeglColor* | gobj ()
| Provides access to the underlying C GObject.
const GeglColor* | gobj () const
| Provides access to the underlying C GObject.
GeglColor* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::ustring > | property_string ()
| A String representation of the GeglColor.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_string () const
| A String representation of the GeglColor.
void | set_rgba (double r, double g, double b, double a)
virtual | ~Color ()
## Static Public Member Functions
static Glib::RefPtr< Color > | create (const Glib::ustring& s)
## Protected Member Functions
| Color (const Glib::ustring&string)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gegl::Color > | wrap (GeglColor* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gegl::Color::~Color | ( |  | ) | `[virtual]`

Gegl::Color::Color | ( | const Glib::ustring & | string | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Color> Gegl::Color::create | ( | const Glib::ustring & | s | ) | `[static]`

void Gegl::Color::get_rgba | ( | double & | r,
|  | double & | g,
|  | double & | b,
|  | double & | a
| ) |  | const

void Gegl::Color::get_rgba4f | ( | gfloat * | p1 | ) | const

GeglColor* Gegl::Color::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const GeglColor* Gegl::Color::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GeglColor* Gegl::Color::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy< Glib::ustring> Gegl::Color::property_string | ( |  | ) |

A String representation of the GeglColor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring> Gegl::Color::property_string | ( |  | ) | const

A String representation of the GeglColor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gegl::Color::set_rgba | ( | double | r,
|  | double | g,
|  | double | b,
|  | double | a
| ) |  |

## Friends And Related Function Documentation

Glib::RefPtr< Gegl::Color > wrap | ( | GeglColor * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- color.h